/**
  *  \file client/chart/prefixmode.h
  *  \brief Starchart Mode: WPrefixChartMode
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_CHART_PREFIXMODE_H
#define PCC_V2_CLIENT_CHART_PREFIXMODE_H

#include "client/chartmode.h"
#include "ui/prefix.h"

/** Starchart mode for entering a prefix argument. */
class WPrefixChartMode : public WSimpleChartMode {
    UIPrefixArgInput inp;
    bool blink;                 ///< Cursor blink state.
    int  blink_count;           ///< Cursor blink timer divider.
    
 private:
    WPrefixChartMode(int value);
 public:
    ~WPrefixChartMode();
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void startPrefixArg(WChartModeList& chart_modes, int value);
};

#endif
