/**
  *  \file client/dialogs/zoomlevel.h
  *  \brief Zoom level dialog
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_ZOOMLEVEL_H
#define PCC_V2_CLIENT_DIALOGS_ZOOMLEVEL_H

class GChartViewport;

/** Zoom level. */
struct ZoomLevel {
    int mult;               ///< Multiplier.
    int divi;               ///< Divisor.
};

/** Zoom level input.
    @param [in]  renderer       Map renderer; used to provide initial value and validate input.
    @param [out] result         Result
    @retval true Success, result has been updated
    @retval false Canceled, result has not been set */
bool editZoomLevel(const GChartViewport& renderer, ZoomLevel& result);

#endif
